## pdm-pep517 1.1.2+ds1

=== tests/fixtures/projects/demo-package-include-error/requirements.txt ===
click==7.1.2; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:dacca89f4bfadd5de3d7489b7c8a566eee0d3676333fbb50030263894c38c0dc \
    --hash=sha256:d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a
flask==1.1.2; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:8a4fdd8936eba2512e9c85df320a37e694c93945b33ef33c89946a340a238557 \
    --hash=sha256:4efa1ae2d7c9865af48986de8aeb8504bf32c7f3d6fdc9353d34b21f4b127060
itsdangerous==1.1.0; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:72a1252c0b2cc2bcc351acf2cfe2ec0159d8578c54767d5c2aa67fd869346e55 \
    --hash=sha256:ac4c9f590d59c36b7d2953f97fda415f2461280e5279650aafe1e593f129c4f7
Jinja2==2.11.2; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:f0a4641d3cf955324a89c04f3d94663aa4d638abe8f733ecd3582848e1c37035 \
    --hash=sha256:89aab215427ef59c34ad58735269eb58b1a5808103067f7bb9d5836c651b3bb0
MarkupSafe==1.1.1; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7 \
    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
    --hash=sha256:79855e1c5b8da654cf486b830bd42c06e8780cea587384cf6545b7d9ac013a0b \
    --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
    --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
    --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
    --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
    --hash=sha256:24982cc2533820871eba85ba648cd53d8623687ff11cbb805be4ff7b4c971aff \
    --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
    --hash=sha256:717ba8fe3ae9cc0006d7c451f0bb265ee07739daf76355d06366154ee68d221e \
    --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
    --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
    --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
    --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
    --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
    --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
    --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
    --hash=sha256:6788b695d50a51edb699cb55e35487e430fa21f1ed838122d722e0ff0ac5ba15 \
    --hash=sha256:cdb132fc825c38e1aeec2c8aa9338310d29d337bebbd7baa06889d09a60a1fa2 \
    --hash=sha256:13d3144e1e340870b25e7b10b98d779608c02016d5184cfb9927a9f10c689f42 \
    --hash=sha256:596510de112c685489095da617b5bcbbac7dd6384aeebeda4df6025d0256a81b \
    --hash=sha256:e8313f01ba26fbbe36c7be1966a7b7424942f670f38e666995b88d012765b9be \
    --hash=sha256:30323461f382a59bcb940be0adc5e0d6be5dfc6bd1c2c5cbe2d13b96414e1619
Werkzeug==1.0.1; python_version >= "2.7" and python_version not in "3.0, 3.1, 3.2, 3.3, 3.4" \
    --hash=sha256:2de2a5db0baeae7b2d2664949077c2ac63fbd16d98da0ff71837f7d1dea3fd43 \
    --hash=sha256:6c80b1e5ad3665290ea39320b91e1be1e0d5f60652b964a3070216de83d2e47c
--extra-index-url https://test.pypi.org/simple

## pdm-pep517 1.0.4+ds1

=== debian/changelog ===
pdm-pep517 (1.0.4+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/README.Debian: Add hints for pdm-pep517 backend users.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Aug 2022 14:13:54 -0400

pdm-pep517 (1.0.3+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 15:52:47 -0400

pdm-pep517 (1.0.2+ds1-2) unstable; urgency=high

  * debian/tests/autopkgtest-pkg-python.conf: Fix autopkgtest import name.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 10:46:05 -0400

pdm-pep517 (1.0.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/control: Use autopkgtest-pkg-python testsuite.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jul 2022 12:53:45 -0400

pdm-pep517 (1.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jul 2022 14:53:02 -0400

pdm-pep517 (1.0.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1014055)

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Jun 2022 10:51:17 -0400

=== debian/control ===
Source: pdm-pep517
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git <!nocheck>,
 pybuild-plugin-pyproject,
 python3,
 python3-boolean,
 python3-cerberus,
 python3-dev <!nocheck>,
 python3-license-expression,
 python3-packaging (>= 21),
 python3-pkg-resources,
 python3-pyparsing (>= 3.0.7),
 python3-pytest <!nocheck>,
 python3-setuptools <!nocheck>,
 python3-tomli,
 python3-tomli-w (>= 1.0.0),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/pdm-project/pdm-pep517
Vcs-Git: https://salsa.debian.org/python-team/packages/pdm-pep517.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm-pep517
Testsuite: autopkgtest-pkg-python

Package: python3-pdm-pep517
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-boolean,
 python3-cerberus,
 python3-license-expression,
 python3-packaging,
 python3-pkg-resources,
 python3-pyparsing,
 python3-tomli,
 python3-tomli-w,
Description: Yet another PEP 517 backend for PDM projects
 This is the backend for PDM projects, while you can also use it alone.
 It reads the metadata of PEP 621 format and coverts it to Core metadata.

=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,oversionmangle=s/(.*)/$1+ds1/" \
 https://github.com/pdm-project/pdm-pep517/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pdm-pep517 1.1.2+ds1

=== debian/changelog ===
pdm-pep517 (1.1.2+ds1-1) unstable; urgency=medium

  * new upstream legacy release.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Feb 2023 22:50:02 -0500

pdm-pep517 (1.1.1+ds1-1) unstable; urgency=medium

  * New upstream legacy release.
  * debian/patches: Update and drop backported patches.
  * debian/watch: Monitor legacy 1.x branch.
  * debian/control:
    + Update homepage URL.
    + Tighten version requirement of python3-packaging (23+).

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 12:01:14 -0500

pdm-pep517 (1.0.6+ds1-2) unstable; urgency=high

  * debian/patches/0002-scm.py-Patch-for-python3-packaging-22.patch:
    Cherry-pick upstream fix on compatibility with new python3-packaging.
    (Closes: #1027496)

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 14:30:23 -0500

pdm-pep517 (1.0.6+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Nov 2022 14:34:52 -0500

pdm-pep517 (1.0.5+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/watch: Use dversionmangle=auto (lintian).

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 17:00:27 -0400

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
  python3-cerberus,
  python3-dev <!nocheck>,
  python3-license-expression,
- python3-packaging (>= 21),
+ python3-packaging (>= 23),
  python3-pkg-resources,
  python3-pyparsing (>= 3.0.7),
  python3-pytest <!nocheck>,
  python3-setuptools <!nocheck>,
  python3-tomli,
  python3-tomli-w (>= 1.0.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/pdm-project/pdm-pep517
+Homepage: https://github.com/pdm-project/pdm-backend/tree/legacy
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdm-pep517.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm-pep517
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
opts="dversionmangle=auto,uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,oversionmangle=s/(.*)/$1+ds1/" \
 https://github.com/pdm-project/pdm-backend/tags \
 (?:.*?/)?v?(1)(?:\.)(\d[\-+\.:\~\da-zA-Z]*)@ARCHIVE_EXT@

## pdm-pep517 1.1.3+ds1

=== debian/changelog ===
pdm-pep517 (1.1.3+ds1-1~exp1) experimental; urgency=medium

  * New upstream legacy release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 15:45:11 -0400

## pdm-pep517 1.1.4+ds1

=== debian/changelog ===
pdm-pep517 (1.1.4+ds1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 14:04:16 -0500

pdm-pep517 (1.1.4+ds1-1) unstable; urgency=medium

  * new upstream legacy release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 11:58:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: pdm-pep517
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -41,6 +39,9 @@
  python3-pyparsing,
  python3-tomli,
  python3-tomli-w,
-Description: Yet another PEP 517 backend for PDM projects
+Description: Yet another PEP 517 backend for PDM projects (Legacy)
  This is the backend for PDM projects, while you can also use it alone.
  It reads the metadata of PEP 621 format and coverts it to Core metadata.
+ .
+ This package has been superceded by pdm-backend. All users should migrate
+ to pdm-backend as soon as possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md
